package com.gh.gamecenter.core.provider

import android.content.Context
import android.view.View
import android.view.ViewGroup
import android.widget.LinearLayout
import android.widget.TextView
import androidx.viewbinding.ViewBinding


interface IConcernArticleUtilsProvider {
    fun addContentPic(context: Context, linearLayout: LinearLayout, list: List<String>, entrance: String, width: Int)

    fun createArticleBinding(parent: ViewGroup): ViewBinding
    fun initArticleStyle(binding: ViewBinding)

    fun getIvIcon(binding: ViewBinding): View

    fun getTvGameName(binding: ViewBinding): TextView

    fun getTvTime(binding: ViewBinding): TextView

    fun getTvTitle(binding: ViewBinding): TextView

    fun getTvDescription(binding: ViewBinding): TextView

    fun bindImgs(binding: ViewBinding, img: List<String>)

    fun getTvComment(binding: ViewBinding): TextView

    fun getTvShare(binding: ViewBinding): TextView


}